Subject: BUG: rc file parser

From: Joerg Klemenz <[email-masked]>
Date: Sun, 6 Feb 2000 22:39:16 +0100

look at this:

AddToDecor Anya                                                                 
+ Style AnyaStyle UseDecor Anya, \                                              
  BackColor gray40, HilightBack black, \                                        
  ForeColor Gray90, HilightFore white                                           
+ Style * UseStyle AnyaStyle                                                    
                                                                                
AddToDecor Faith                                                                
+ style * BackColor Black, HilightBack navy                                     
+ style * ForeColor Gray90, HilightFore white                                   
                                                                                
Style * UseDecor Anya 

For some reason 2.3.13 always uses the color definitions from Faith in this
case.
The man page is somewhat confusing about the usage of AddToDecor. Is the Faith
definition correct?
In my understanding both definitions should be equivalent?

--
joerg klemenz
[email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 7 Feb 2000 08:43:28 +0100

> In my understanding both definitions should be equivalent?

THe man page lies about decors.  You can't add 'Style' lines
to decors.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Joerg Klemenz <[email-masked]>
Date: Tue, 8 Feb 2000 18:07:45 +0100

--
joerg klemenz
[email-masked]

---

From: Joerg Klemenz <[email-masked]>
Date: Tue, 8 Feb 2000 22:06:44 +0100

> THe man page lies about decors.  You can't add 'Style' lines

I now use "Style * UseDecor Anya , UseStyle AnyaStyle" after the decor
definitions and it works nicely.

However, something strange is going on w/ the code I quoted.
fvwm uses the color definitions from the Faith Decor when it should not. 
Looks like fvwm immediatley executes the "+ style..." lines when it parses the
rc file.

And if you can't add styles to decors fvwm *should* give you an error message.

BTW: I'm sorry about the empty message. It's a bug in KMail. I hate computers.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 9 Feb 2000 07:52:04 +0100

> Looks like fvwm immediatley executes the "+ style..." lines when it parses the

When you add a command to a decor, it is simply executed immediately
with a 'decor' variable set.  Only the commands that can be added to
decors know about this (i.e. only three commands), while all others
are completely ignorant.

> And if you can't add styles to decors fvwm *should* give you an error message.

Hm, perhaps this can be caught at a central place.  I'll see
what I can do.

> I hate computers.

That's a healthy attitude :-)  Computers were invented by
people who hate humanity.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
The adjuration to be "normal" seems shockingly repellent to me; I see neither
hope nor comfort in sinking to that low level.  I think it is ignorance that
makes people think of abnormality only with horror and allows them to remain
undismayed at the proximity of "normal" to average and mediocre.  For surely
anyone who achieves anything is, essentially, abnormal.
                -- Dr. Karl Menninger, "The Human Mind", 1930